package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(student_basic_info):
 */
public class StudentBasicInfo {

	/** 学员编号 */
	@ApiModelProperty(value = "学员编号",required = false)
	private Integer userId;
	
	/** 学员姓名 */
	@ApiModelProperty(value = "学员姓名",required = false)
	private String userName;
	
	/** 手机号 */
	@ApiModelProperty(value = "手机号",required = false)
	private String phone;
	
	/** 声部编号 */
	@ApiModelProperty(value = "声部编号",required = false)
	private Integer subjectId;
	
	/** 声部 */
	@ApiModelProperty(value = "声部",required = false)
	private String subjectName;
	
	/** 年级 */
	@ApiModelProperty(value = "年级",required = false)
	private String grade;
	
	/** 分部编号 */
	@ApiModelProperty(value = "分部编号",required = false)
	private Integer organId;
	
	/** 分部名称 */
	@ApiModelProperty(value = "分部名称",required = false)
	private String organName;
	
	/** 学校编号 */
	@ApiModelProperty(value = "学校编号",required = false)
	private Integer cooperationOrganId;
	
	/** 学校名称 */
	@ApiModelProperty(value = "学校名称",required = false)
	private String cooperationOrganName;
	
	/** 声部课老师（学员所在乐团声部班老师,如果有多个，取id最大的） */
	@ApiModelProperty(value = "声部课老师",required = false)
	private Integer subjectTeacherId;
	
	/** 声部课老师（学员所在乐团声部班老师） */
	@ApiModelProperty(value = "声部课老师",required = false)
	private String subjectTeacherName;

	@ApiModelProperty(value = "课程余额",required = false)
	private BigDecimal courseBalance = BigDecimal.ZERO;

	@ApiModelProperty(value = "学员状态",required = false)
	private String studentStatus;

	public String getStudentStatus() {
		return studentStatus;
	}

	public void setStudentStatus(String studentStatus) {
		this.studentStatus = studentStatus;
	}

	public BigDecimal getCourseBalance() {
		return courseBalance;
	}

	public void setCourseBalance(BigDecimal courseBalance) {
		this.courseBalance = courseBalance;
	}

	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setUserName(String userName){
		this.userName = userName;
	}
	
	public String getUserName(){
		return this.userName;
	}
			
	public void setPhone(String phone){
		this.phone = phone;
	}
	
	public String getPhone(){
		return this.phone;
	}
			
	public void setSubjectId(Integer subjectId){
		this.subjectId = subjectId;
	}
	
	public Integer getSubjectId(){
		return this.subjectId;
	}
			
	public void setSubjectName(String subjectName){
		this.subjectName = subjectName;
	}
	
	public String getSubjectName(){
		return this.subjectName;
	}
			
	public void setGrade(String grade){
		this.grade = grade;
	}
	
	public String getGrade(){
		return this.grade;
	}
			
	public void setOrganId(Integer organId){
		this.organId = organId;
	}
	
	public Integer getOrganId(){
		return this.organId;
	}
			
	public void setOrganName(String organName){
		this.organName = organName;
	}
	
	public String getOrganName(){
		return this.organName;
	}
			
	public void setCooperationOrganId(Integer cooperationOrganId){
		this.cooperationOrganId = cooperationOrganId;
	}
	
	public Integer getCooperationOrganId(){
		return this.cooperationOrganId;
	}
			
	public void setCooperationOrganName(String cooperationOrganName){
		this.cooperationOrganName = cooperationOrganName;
	}
	
	public String getCooperationOrganName(){
		return this.cooperationOrganName;
	}
			
	public void setSubjectTeacherId(Integer subjectTeacherId){
		this.subjectTeacherId = subjectTeacherId;
	}
	
	public Integer getSubjectTeacherId(){
		return this.subjectTeacherId;
	}
			
	public void setSubjectTeacherName(String subjectTeacherName){
		this.subjectTeacherName = subjectTeacherName;
	}
	
	public String getSubjectTeacherName(){
		return this.subjectTeacherName;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
